qubeKey: source-toggl
name: source-toggl
type: airbyte-source
id: source-toggl
maturity: alpha
ui:
  icon: <svg xmlns="http://www.w3.org/2000/svg" width="250" height="250" fill="none"><g
    clip-path="url(#a)"><path fill="#DD6FD1" d="M200.119 63.648a96.751 96.751 0 0
    0-62.242-34.759c-2.11-.299-4.26-.51-6.467-.638-2.206-.13-4.251-.251-6.41-.251-2.562
    0-5.084.097-7.598.291a88.81 88.81 0 0 0-6.426.727 97 97 0 1 0 89.143 34.63Zm-68.709
    0v71.286h-14.008V63.648h14.008Zm42.842 71.286a49.676 49.676 0 0 1-82.03 30.891
    49.68 49.68 0 0 1-16.49-30.891 50.977 50.977 0 0 1-.412-6.426 49.687 49.687 0
    0 1 35.648-47.692v13.168a37.255 37.255 0 0 0-23.232 34.524 36.61 36.61 0 0 0 .558
    6.426 37.255 37.255 0 0 0 60.664 22.102 37.255 37.255 0 0 0 6.586-49.848 37.285
    37.285 0 0 0-17.691-13.656v-12.99a49.698 49.698 0 0 1 36.82 47.99 50.936 50.936
    0 0 1-.413 6.402h-.008Z"/><path fill="#2C1338" d="M131.426 63.648h-14.025v71.286h14.025V63.648Z"/><path
    fill="#2C1338" d="M174.672 128.508a50.94 50.94 0 0 1-.412 6.426 49.676 49.676
    0 0 1-82.03 30.891 49.68 49.68 0 0 1-16.49-30.891 50.977 50.977 0 0 1-.412-6.426
    49.687 49.687 0 0 1 35.648-47.692v13.168a37.255 37.255 0 0 0-23.232 34.524 36.601
    36.601 0 0 0 .558 6.426 37.254 37.254 0 0 0 60.664 22.102 37.255 37.255 0 0 0
    13.29-28.528 37.29 37.29 0 0 0-24.403-34.977v-12.99a49.695 49.695 0 0 1 36.819
    47.967Z"/></g><defs><clipPath id="a"><path fill="#fff" d="M28 28h194v194H28z"/></clipPath></defs></svg>
  shortDescription: api
  description: ''
  links:
  - linkName: Documentation
    url: https://docs.airbyte.com/integrations/sources/toggl
properties:
  type: object
  title: Toggl Spec
  schema: http://json-schema.org/draft-07/schema#
  required:
  - api_token
  - organization_id
  - workspace_id
  - start_date
  - end_date
  properties:
    end_date:
      type: string
      title: End date
      pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$
      examples:
      - YYYY-MM-DD
      description: To retrieve time entries created before the given date (inclusive).
    api_token:
      type: string
      title: API token
      description: Your API Token. See <a href="https://developers.track.toggl.com/docs/authentication">here</a>.
        The token is case sensitive.
      airbyte_secret: true
    start_date:
      type: string
      title: Start date
      pattern: ^[0-9]{4}-[0-9]{2}-[0-9]{2}$
      examples:
      - YYYY-MM-DD
      description: To retrieve time entries created after the given date (inclusive).
    workspace_id:
      type: integer
      title: Workspace ID
      description: Your workspace id. See <a href="https://developers.track.toggl.com/docs/workspaces">here</a>.
    organization_id:
      type: integer
      title: Organization ID
      description: Your organization id. See <a href="https://developers.track.toggl.com/docs/organization">here</a>.
  additionalProperties: true
schemaType: {}
